%define pkgname unifont
%define oversion 6.3.20131006

Name:		fonts-ttf-%{pkgname}
Summary:	GNU Unifont glyphs
Group:		System/Fonts/True type
Version:	6.3
Release:	%mkrel 1.1
License:	GPLv2
Url:		http://unifoundry.com/unifont.html
Source0:	http://unifoundry.com/%{pkgname}-%{oversion}.ttf.gz
BuildArch:	noarch
BuildRequires:	fontconfig
BuildRequires:	freetype-tools

%description
GNU Unifont provides glyphs for every printable code point in the
Unicode 5.1 Basic Multilingual Plane (BMP).  The BMP occupies the
first 65,536 code points of the Unicode space, denoted as
U+0000..U+FFFF.

%files
%dir %{_datadir}/fonts/TTF/%{pkgname}
%{_datadir}/fonts/TTF/%{pkgname}/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/%{pkgname}/fonts.dir
%{_datadir}/fonts/TTF/%{pkgname}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-%{pkgname}:pri=50

%prep
%setup -q -T -c %{name}-%{oversion}
cp -f %{SOURCE0} .
gunzip -f *.gz

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}

install -m 644 *.ttf %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}
ln -s %{pkgname}-%{version}.ttf %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}/%{pkgname}.ttf
ttmkfdir %{buildroot}/%{_datadir}/fonts/TTF/%{pkgname} > %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/%{pkgname}/fonts.scale

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/%{pkgname} \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-%{pkgname}:pri=50


%changelog
* Fri Jun 09 2017 adrianomorselli <adrianomorselli> 6.3-1.1uplos2017
- rebuild for 2017
